#version 400 core

layout(location=0) in vec3 position;
layout(location=1) in vec2 vTexcoord;
//layout(location=2) in vec3 normals;

out vec2 fTexCoord;
//out vec3 fPosition;

//uniform mat4 model;
uniform mat4 view; //already modelView
uniform mat4 proj;
uniform float livedTime;

void main(void) {
	gl_Position = proj * view * vec4(position, 1.0);
	//gl_Position = vec4(position.x, position.y, 0.0, 1.0);
	fTexCoord = vTexcoord;

	//vec4 worldPosition = model * vec4(position, 1.0f);
	//gl_Position = proj * view * worldPosition;
}